/*    $Id: sincFunc.java,v 1.1 1996/03/22 02:31:13 davidliu Exp $
**
**
**************************************************************************
**    Copyright (C) 1996 David Wanqian Liu
**                       davidliu@mti.sgi.com
**                       http://reality.sgi.com/exmployees/davidliu_mti
**
**    This program is free software; you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation; either version 2 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program; if not, write to the Free Software
**    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
**************************************************************************
*/


package expression;



/**
  Sinc function
  */
public class sincFunc extends oneArgFunction {
  /**
    Returns sinc(a).
    */
  public double apply(double a) {
    if (a == 0.0)
      return 1.0;
    else
      return Math.sin(Math.PI*a)/Math.PI/a;
  }


  /**
    Return string "SINC"
    */
  public String toString() {
    return "SINC";
  }
}
